%define name dfvfs
%define version 20240115
%define release 1

Summary: Digital Forensics Virtual File System (dfVFS).
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: Apache License, Version 2.0
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Log2Timeline maintainers <log2timeline-maintainers@googlegroups.com>
Packager: Log2Timeline maintainers <log2timeline-maintainers@googlegroups.com>
Url: https://github.com/log2timeline/dfvfs
BuildRequires: python3-devel, python3-setuptools

%description
dfVFS, or Digital Forensics Virtual File System, provides read-only access to file-system objects from various storage media types and file formats. The goal of dfVFS is to provide a generic interface for accessing file-system objects, for which it uses several back-ends that provide the actual implementation of the various storage media types, volume systems and file systems.

%package -n python3-%{name}
Requires: , libbde-python3 >= 20220121, libcaes-python3 >= 20240114, libewf-python3 >= 20131210, libfcrypto-python3 >= 20240114, libfsapfs-python3 >= 20220709, libfsext-python3 >= 20220829, libfsfat-python3 >= 20220925, libfshfs-python3 >= 20220831, libfsntfs-python3 >= 20211229, libfsxfs-python3 >= 20220829, libfvde-python3 >= 20220121, libfwnt-python3 >= 20210717, libluksde-python3 >= 20220121, libmodi-python3 >= 20210405, libphdi-python3 >= 20220228, libqcow-python3 >= 20201213, libsigscan-python3 >= 20230109, libsmdev-python3 >= 20140529, libsmraw-python3 >= 20140612, libvhdi-python3 >= 20201014, libvmdk-python3 >= 20140421, libvsapm-python3 >= 20230506, libvsgpt-python3 >= 20211115, libvshadow-python3 >= 20160109, libvslvm-python3 >= 20160109, python3-cffi >= 1.9.1, python3-dfdatetime >= 20221112, python3-dtfabric >= 20230518, python3-idna >= 2.5, python3-pytsk3 >= 20210419, python3-pyyaml >= 3.10, python3-xattr >= 0.7.2
Summary: Python 3 module of Digital Forensics Virtual File System (dfVFS).

%description -n python3-%{name}
dfVFS, or Digital Forensics Virtual File System, provides read-only access to file-system objects from various storage media types and file formats. The goal of dfVFS is to provide a generic interface for accessing file-system objects, for which it uses several back-ends that provide the actual implementation of the various storage media types, volume systems and file systems.

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}/usr/lib/python*/site-packages/*.egg-info/requires.txt
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf %{buildroot}

%files -n python3-%{name}
%license LICENSE
%doc README
%{python3_sitelib}/dfvfs
%{python3_sitelib}/dfvfs*.egg-info

%changelog
* Sun Mar  3 2024 log2timeline development team <log2timeline-dev@googlegroups.com> 20240115-1
- Auto-generated
